<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");
include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_fici.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/fic_dloc.inc.php");
include_once("../inc/fic_st.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_txtcm.inc.php");
include_once("../inc/func_mail.inc.php");
include_once("../classes/phpmailer/class.phpmailer.php");
include_once("mail.inc.php");
include_once("../classes/dirtool/class_dirtool.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));

$acat = str_majuscules(strip_tags(trim(@$_POST["acat"])));
$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$nom = str_majuscules(str_escape(trim(@$_POST["nom"])));
$rcs = str_majuscules(str_escape(trim(@$_POST["rcs"])));
$ape = str_majuscules(str_escape(trim(@$_POST["ape"])));
$tvai = str_majuscules(str_escape(trim(@$_POST["tvai"])));
$tcom = str_majuscules(str_escape(trim(@$_POST["tcom"])));
$adr1 = str_majuscules(str_escape(trim(@$_POST["adr1"])));
$adr2 = str_majuscules(str_escape(trim(@$_POST["adr2"])));
$dep = strip_tags(trim(@$_POST["dep"]));
$ville = str_majuscules(strip_tags(trim(@$_POST["ville"])));
$pays = str_majuscules(strip_tags(trim(@$_POST["pays"])));
$zone = str_majuscules(strip_tags(trim(@$_POST["zonetxt"])));
$telf = strip_tags(trim(@$_POST["telf"]));
$txttelf = strip_tags(str_escape(trim(@$_POST["txttelf"])));
$fax = strip_tags(trim(@$_POST["fax"]));
$txtfax = str_escape(trim(@$_POST["txtfax"]));
$web = strip_tags(trim(@$_POST["web"]));
$heures = strip_tags(str_escape(trim(@$_POST["heures"])));
$txtent = str_escape(trim(@$_POST["txtent"]));
$rcivil = strip_tags(trim(@$_POST["rcivil"]));
$rprenom = str_escape(trim(@$_POST["rprenom"]));
$rnom = str_escape(trim(@$_POST["rnom"]));
$rtelf = strip_tags(trim(@$_POST["rtelf"]));
$rtelp = strip_tags(trim(@$_POST["rtelp"]));
$email = strtolower(strip_tags(trim(@$_POST["email"])));
$emaild = strtolower(strip_tags(trim(@$_POST["emaild"])));
$emailc = strtolower(strip_tags(trim(@$_POST["emailc"])));
$emailt = strtolower(strip_tags(trim(@$_POST["emailt"])));
$nota = str_escape(trim(@$_POST["nota"]));
$facture = strip_tags(trim(@$_POST["factures"]));
$location = strip_tags(trim(@$_POST["loc"]));
$ouvert = strip_tags(trim(@$_POST["ouvert"]));
$st = strip_tags(trim(@$_POST["st"]));

$codeuser = @$_SESSION["code_log"];
$retourliste = TRUE;

$pass = cremdp(FALSE);
$passcrypt = md5($pass);

$msg = "";
$crest=FALSE;

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

switch ($td)
{
	// Ajout de la fiche Agence
	case "add" :
		$codea ="A".$code;
		$rech = "SELECT * FROM " .TBAGE. " WHERE age_code = '$codea'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rech2 = "INSERT INTO " .TBAGE;
			$rech2 .= " (age_datecrea,age_codecrea,age_datemod,age_codemod,age_code,age_pass,age_cat,age_nom,age_rcs,age_ape,age_tvai,age_tcom,";
			$rech2 .= "age_adr1,age_adr2,age_dep,age_ville,age_codepays,age_telf,age_txttelf,age_fax,age_txtfax,age_txtent,";
			$rech2 .= "age_resp_civilite,age_resp_prenom,age_resp_nom,age_resp_telf,age_resp_telp,age_email,age_emaild,age_emailc,age_emailt,";
			$rech2 .= "age_heures,age_web,age_nota,age_fact,age_ouvert) VALUES";
			$rech2 .= " ('$datea','$codeuser','$datea','$codeuser','$codea','$passcrypt','$acat','$nom','$rcs','$ape','$tvai','$tcom','$adr1','$adr2',";
			$rech2 .= "'$dep','$ville','$pays','$telf','$txttelf','$fax','$txtfax','$txtent','$rcivil','$rprenom','$rnom','$rtelf','$rtelp',";
			$rech2 .= "'$email','$emaild','$emailc','$emailt','$heures','$web','$nota','$facture','1')";
			$rs2 = mysql_query($rech2) or die(mysql_error());
		
			// Si sous-traitant, on crée la fiche sous-traitant
			if ($st==TRUE)
			{
				$codes ="S".$code;
				$rech2 = "INSERT INTO " .TBST;
				$rech2 .= " (st_datecrea,st_codecrea,st_datemod,st_codemod,st_code,st_codeage,st_pass,st_nom,st_rcs,st_ape,st_tvai,st_tcom,st_adr1,st_adr2,";
				$rech2 .= "st_dep,st_ville,st_codepays,st_telf,st_txttelf,st_fax,st_txtfax,st_txtent,st_resp_civilite,st_resp_prenom,";
				$rech2 .= "st_resp_nom,st_resp_telf,st_resp_telp,st_email,st_emaild,st_emailc,st_emailt,st_heures,st_web,st_nota,st_fact,";
				$rech2 .= "st_ouvert) VALUES";
				$rech2 .= " ('$datea','$codeuser','$datea','$codeuser','$codes','$codea','$passcrypt','$nom','$rcs','$ape','$tvai','$tcom','$adr1','$adr2',";
				$rech2 .= "'$dep','$ville','$pays','$telf','$txttelf','$fax','$txtfax','$txtent','$rcivil','$rprenom',";
				$rech2 .= "'$rnom','$rtelf','$rtelp','$email','$emaild','$emaild','$emailt','$heures','$web','$nota','$facture',";
				$rech2 .= "'$ouvert')";
				$rs2 = mysql_query($rech2) or die(mysql_error());

				// Ajout du compte pour connexion
				// Niveau par défaut : 10
				// Actif par défaut
				$log_ip = $_SERVER['REMOTE_ADDR']; // Récupération adresse IP
				$rech = "INSERT INTO " .TBPW. "(pw_code,pw_pass,pw_level,pw_lastsuccess,pw_lastip,pw_actif) VALUES ('$codes','$passcrypt','10','$dateheurea','$log_ip','1')";
				$rs2 = mysql_query($rech) or die(mysql_error());
			
				// Mise à jour du fichier des zones couvertes
				$tab_zone=explode("_",$zone);
				foreach($tab_zone as $idx=>$value)
				{
					$rech = "INSERT INTO " .TBZOC;
					$rech .= " (zoc_code,zoc_codepays,zoc_codedep) VALUES";
					$rech .= " ('$codes','$pays','$value')";
					$rs = mysql_query($rech) or die(mysql_error());
				}
				
				$crest=TRUE;
			}
		
			// Si location, on crée le dépôt principal
			if ($location==TRUE)
			{
				$rech2 = "INSERT INTO " .TBDLOC;
				$rech2 .= " (dloc_datecrea,dloc_codeage,dloc_nom,dloc_adr1,dloc_adr2,dloc_dep,dloc_ville,dloc_codepays,dloc_telf,dloc_fax,dloc_resp_civilite,dloc_resp_prenom,dloc_resp_nom,dloc_resp_telf,dloc_email,dloc_emaild,dloc_emails,dloc_ouvert,dloc_datec) VALUES";
				$rech2 .= " ('$datea','$codea','$nom','$adr1','$adr2','$dep','$ville','$pays','$telf','$fax','$rcivil','$rprenom','$rnom','$rtelf','$email','$emaild','','$ouvert','$datea')";
				$rs2 = mysql_query($rech2) or die(mysql_error());
			}
		
			// Ajout du compte pour connexion
			// Niveau par défaut : 4
			// Actif par défaut
			$log_ip = $_SERVER['REMOTE_ADDR']; // Récupération adresse IP
			$rech = "INSERT INTO " .TBPW. "(pw_code,pw_pass,pw_level,pw_lastsuccess,pw_lastip,pw_actif) VALUES ('$codea','$passcrypt','4','$dateheurea','$log_ip','1')";
			$rs2 = mysql_query($rech) or die(mysql_error());
		
			// Mise à jour du fichier des zones couvertes
			$tab_zone=explode("_",$zone);
			foreach($tab_zone as $idx=>$value)
			{
				$rech = "INSERT INTO " .TBZCC;
				$rech .= " (zcc_code,zcc_codepays,zcc_codedep) VALUES";
				$rech .= " ('$codea','$pays','$value')";
				$rs = mysql_query($rech) or die(mysql_error());
			}

			// Création du répertoire de stockage spécifique à l'agence
			$rep_agences = $url_gfc."/agences";
			$desc_rep_agences = "Répertoire spécifique aux agences";
			$detail_rep_agences = "Répertoire pour stockage des fichiers personnels pour chaque agence";
			$rep_cette_agence = $rep_agences."/".strtolower($codea);
			$desc_rep_cette_agence = "Répertoire agence ".$nom." (".$codea.")";
			$detail_rep_cette_agence = "Répertoire pour stockage des fichiers agence ".$nom." (".$codea.")";
			$rep_import_cette_agence = $rep_agences."/".strtolower($codea)."/imports";
			$desc_rep_import_cette_agence = "Répertoire pour imports agence ".$nom." (".$codea.")";
			$detail_rep_import_cette_agence = "Répertoire pour stockage des fichiers agence ".$nom." (".$codea.")";
			
			if (!is_dir($rep_agences)) // Si le sous-répertoire spécifique aux agences n'existe pas, on le crée
			{
				$cree_rep=@mkdir($rep_agences);
				if ($cree_rep)
				{
					$rech = "INSERT INTO " .TBFIC;
					$rech .= " (fic_nom,fic_type,fic_desc,fic_detail,fic_datecrea,fic_codecrea,fic_nbtel) VALUES";
					$rech .= " ('$rep_agences','0','$desc_rep_agences','$detail_rep_agences','$datea','$admin_code','0')";
					$rs = mysql_query($rech) or die(mysql_error());
				}
				else
				{
					$msg = "Probl&egrave;me de cr&eacute;ation de r&eacute;pertoire pour les agences.";
					$retourliste = FALSE;
				}
			}
			if (!is_dir($rep_cette_agence)) // Si le sous-répertoire spécifique à cette agence n'existe pas, on le crée
			{
				$cree_rep=mkdir($rep_cette_agence);
				if ($cree_rep) // On crée un sous-répertoire spécifique à cette agence
				{
					// On ajoute le détail dans le fichier MySQL
					$rech = "INSERT INTO " .TBFIC;
					$rech .= " (fic_nom,fic_type,fic_desc,fic_detail,fic_datecrea,fic_codecrea,fic_nbtel) VALUES";
					$rech .= " ('$rep_cette_agence','0','$desc_rep_cette_agence','$detail_rep_cette_agence','$datea','$admin_code','0')";
					$rs = mysql_query($rech) or die(mysql_error());
				}
				else
				{
					$msg = "Probl&egrave;me de cr&eacute;ation de r&eacute;pertoire pour cette agence.";
					$retourliste = FALSE;
				}
			}
			if ($retourliste==TRUE)
			{
				if (!is_dir($rep_import_cette_agence)) // Si le sous-répertoire pour les imports de cette agence n'existe pas, on le crée
				{
					$cree_rep=@mkdir($rep_import_cette_agence);
					if ($cree_rep) // On crée un sous-répertoire pour les imports de cette agence
					{
						// On ajoute le détail dans le fichier MySQL
						$rech = "INSERT INTO " .TBFIC;
						$rech .= " (fic_nom,fic_type,fic_desc,fic_detail,fic_datecrea,fic_codecrea,fic_nbtel) VALUES";
						$rech .= " ('$rep_import_cette_agence','0','$desc_rep_import_cette_agence','$detail_rep_import_cette_agence','$datea','$admin_code','0')";
						$rs = mysql_query($rech) or die(mysql_error());
			
						$msg = $txt_fiche_add;
						if ($crest==TRUE)
							$msg.="<br />La fiche sous-traitant rattach&eacute;e a été cr&eacute;&eacute;e.<br />Pensez &agrave; saisir les sp&eacute;cialit&eacute;s";
					}
					else
					{
						$msg = "Probl&egrave;me de cr&eacute;ation du r&eacute;pertoire des imports pour cette agence.";
						$retourliste = FALSE;
					}
				}
			}
		}
		else
		{
			$msg = $txt_fiche_exist;
			$retourliste = FALSE;
		}
		mysql_close($conn);
		
		if ($retourliste == TRUE)
		{
			// Envoi d'email vers l'agence
			envoi_mail("","Ouverture de votre compte agence","age","cre","xxx","age",$codea,$pass,"",TRUE);
			// Envoi d'email vers le centre de gestion
			envoi_mail("","Ouverture d'un compte agence","age","cre","xxx","cdg",$codea,$pass,"",FALSE);

			if ($st==TRUE)
			{
				// Envoi d'email vers l'agence
				envoi_mail("","Ouverture de votre compte sous-traitant","st","cre","xxx","st",$codes,$pass,"",TRUE);
				// Envoi d'email vers le centre de gestion
				envoi_mail("","Ouverture d'un compte sous-traitant","st","cre","xxx","cdg",$codes,$pass,"",FALSE);
			}
		}
		break;
		
	case "edit" :
		mysql_close($conn);
		$existint = FALSE;
		$existcocl = FALSE;
		$existtec = FALSE;
		$existcoloc = FALSE;
		$existpdtloc = FALSE;
	
		if (@$_SESSION["niv_log"] >= 5)
		{
			if ($ouvert == FALSE) // Si fermeture d'agence, quelques contrôles sont nécessaires
			{
				// Vérifie si utilisée dans une fiche intervention non close
				if (exist_age_in_int_ouv($code) == TRUE)
				{
					$existint = TRUE;
					$msg = "Il faut d'abord clore les interventions en cours pour fermer cette agence.";
					$retourliste = FALSE;
				}
	
				// Vérifie si utilisée dans un contrat non clôt (et signé, donc actif)
				if (exist_age_in_cocl_ouv($code) == TRUE)
				{
					$existcocl = TRUE;
					if ($msg <> "")
						$msg .= "<br><br>";			
					$msg .= "Il faut d'abord clore (ou transférer) les contrats en cours pour fermer cette agence.";
					$retourliste = FALSE;
				}
	
				// Vérifie si utilisé dans une fiche technicien non licencié
				if (exist_age_in_tec_present($code) == TRUE)
				{
					$existtec = TRUE;
					if ($msg <> "")
						$msg .= "<br><br>";			
					$msg .= "Il faut d'abord licencier les techniciens présent dans cette agence pour la fermer.";
					$retourliste = FALSE;
				}

				// Vérifie si utilisée dans un contrat de location non clos
				if (exist_age_in_coloc_ouv($nom,TRUE) == TRUE)
				{
					$existcoloc = TRUE;
					$msg = "Il faut d'abord clore les contrats de location en cours pour fermer cette agence.";
					$retourliste = FALSE;
				}
	
				// Vérifie si utilisé dans un produit de location louable
				if (exist_dloc_in_pdtloc_louable($nom,TRUE) == TRUE)
				{
					$existpdtloc = TRUE;
					$msg = "Il faut d'abord clore passer les produits du d&eacute;p&ocirc;t principal '(".$nom.") en 'non louable' ou les changer de d&eacute;p&ocirc;t.";
					$retourliste = FALSE;
				}
			}
		}
					
		if (($existint == FALSE) AND ($existcocl == FALSE) AND ($existtec == FALSE) AND ($existcoloc == FALSE) AND ($existpdtloc == FALSE))
		{
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
	
			switch (@$_SESSION["niv_log"])
			{
				case 5 :
				case 9 :
					if ($ouvert == TRUE)
					{
						// Si sous-traitant, on crée la fiche sous-traitant (si nécessaire)
						// Traitement uniquement si agence pas fermée
						if ($st==TRUE)
						{
							$codes ="S".substr($code,1,strlen($code));
		
							$rech2 = "SELECT * FROM " .TBST. " WHERE st_codeage = '$code'";
							$rs2 = mysql_query($rech2)or die(mysql_error());
							if (mysql_num_rows($rs2)>0) // Existe déjà...on met à jour
							{
								// MAJ de la fiche sous-traitant
								$rech = "UPDATE `" .TBST. "` SET `st_datemod`='".$datea."', `st_codemod`='".$codeuser."', `st_code`='".$codes."',";
								$rech.= " `st_codeage`='".$code."', `st_nom`='".$nom."', `st_rcs`='".$rcs."', `st_ape`='".$ape."',";
								$rech.= " `st_tvai`='".$tvai."', `st_tcom`='".$tcom."', `st_adr1`='".$adr1."',";
								$rech.= " `st_adr2`='".$adr2."', `st_dep`='".$dep."',`st_ville`='".$ville."',`st_codepays`='".$pays."',";
								$rech.= " `st_codepays`='".$pays."', `st_telf`='".$telf."', `st_txttelf`='".$txttelf."', `st_fax`='".$fax."',";
								$rech.= " `st_txtfax`='".$txtfax."', `st_txtent`='".$txtent."', `st_resp_civilite`='".$rcivil."',";
								$rech.= " `st_resp_prenom`='".$rprenom."', `st_resp_nom`='".$rnom."', `st_resp_telf`='".$rtelf."',";
								$rech.= " `st_resp_telp`='".$rtelp."', `st_email`='".$email."', `st_emaild`='".$emaild."',";
								$rech.= " `st_emailc`='".$emailc."', `st_emailt`='".$emailt."', `st_heures`='".$heures."', `st_web`='".$web."',";
								$rech.= " `st_nota`='".$nota."', `st_fact`='".$facture."'";
								$rech.= "  WHERE `st_code` = '".$codes."'";
								$rs = mysql_query($rech) or die(mysql_error());
			
								// Mise à jour du fichier des zones couvertes
								$rech = "DELETE FROM `" .TBZOC. "` WHERE `zoc_code` = '$code'";
								$rs = mysql_query($rech) or die(mysql_error());
								$tab_zone=explode("_",$zone);
								foreach($tab_zone as $idx=>$value)
								{
									$rech = "INSERT INTO " .TBZOC;
									$rech .= " (zoc_code,zoc_codepays,zoc_codedep) VALUES";
									$rech .= " ('$code','$pays','$value')";
									$rs = mysql_query($rech) or die(mysql_error());
								}
								
								// MAJ des fiches techniciens
								$rech = "UPDATE `" .TBTEC. "` SET `tec_datemod`='".$datea."', `tec_codemod`='".$codeuser."',";
								$rech.= " `tec_codest`='".$codes."'";
								$rech.= "  WHERE `tec_code` = '".$code."'";
								$rs = mysql_query($rech) or die(mysql_error());
								
								$crest=TRUE;
							}
							else // N'existe pas...on crée (uniquement si agence pas fermée)
							{
								$rech2 = "INSERT INTO " .TBST;
								$rech2 .= " (st_datecrea,st_codecrea,st_datemod,st_codemod,st_code,st_codeage,st_pass,st_nom,st_rcs,st_ape,st_tvai,st_tcom,st_adr1,st_adr2,";
								$rech2 .= "st_dep,st_ville,st_codepays,st_telf,st_txttelf,st_fax,st_txtfax,st_txtent,st_resp_civilite,st_resp_prenom,";
								$rech2 .= "st_resp_nom,st_resp_telf,st_resp_telp,st_email,st_emaild,st_emailc,st_emailt,st_heures,st_web,st_fact) VALUES";
								$rech2 .= " ('$datea','$codeuser','$datea','$codeuser','$codes','$code','$passcrypt','$nom','$rcs','$ape','$tvai','$tcom','$adr1','$adr2',";
								$rech2 .= "'$dep','$ville','$pays','$telf','$txttelf','$fax','$txtfax','$txtent','$rcivil','$rprenom',";
								$rech2 .= "'$rnom','$rtelf','$rtelp','$email','$emaild','$emaild','$emailt','$heures','$web','$facture')";
								$rs2 = mysql_query($rech2) or die(mysql_error());
				
								// Ajout du compte pour connexion
								// Niveau par défaut : 10
								// Actif par défaut
								$log_ip = $_SERVER['REMOTE_ADDR']; // Récupération adresse IP
								$rech = "INSERT INTO " .TBPW. "(pw_code,pw_pass,pw_level,pw_lastsuccess,pw_lastip,pw_actif) VALUES ('$codes','$passcrypt','10','$dateheurea','$log_ip','1')";
								$rs2 = mysql_query($rech) or die(mysql_error());
							
								// Mise à jour du fichier des zones couvertes
								$tab_zone=explode("_",$zone);
								foreach($tab_zone as $idx=>$value)
								{
									$rech = "INSERT INTO " .TBZOC;
									$rech .= " (zoc_code,zoc_codepays,zoc_codedep) VALUES";
									$rech .= " ('$codes','$pays','$value')";
									$rs = mysql_query($rech) or die(mysql_error());
								}
							}
						}
	
						// Si location, on crée ou on met à jour le dépôt principal
						// Uniquement si agence pas fermée
						if ($location==TRUE)
						{
							if (exist_age_in_dloc($code,FALSE)==FALSE)
							{
								$rech2 = "INSERT INTO " .TBDLOC;
								$rech2 .= " (dloc_datecrea,dloc_codeage,dloc_nom,dloc_adr1,dloc_adr2,dloc_dep,dloc_ville,dloc_codepays,dloc_telf,dloc_fax,dloc_resp_civilite,dloc_resp_prenom,dloc_resp_nom,dloc_resp_telf,dloc_email,dloc_emaild,dloc_emails,dloc_ouvert,dloc_datec) VALUES";
								$rech2 .= " ('$datea','$code','$nom','$adr1','$adr2','$dep','$ville','$pays','$telf','$fax','$rcivil','$rprenom','$rnom','$rtelf','$email','$emaild','','$ouvert','$datea')";
							}
							else
							{
								$rech2 = "UPDATE `" .TBDLOC. "` SET `dloc_nom`='".$nom."', `dloc_adr1`='".$adr1."', `dloc_adr2`='".$adr2."',";
								$rech2.= " `dloc_dep`='".$dep."',`dloc_ville`='".$ville."',`dloc_codepays`='".$pays."', `dloc_telf`='".$telf."',";
								$rech2.= " `dloc_fax`='".$fax."', `dloc_resp_civilite`='".$rcivil."', `dloc_resp_prenom`='".$rprenom."',";
								$rech2.= " `dloc_resp_nom`='".$rnom."', `dloc_resp_telf`='".$rtelf."', `dloc_email`='".$email."',";
								$rech2.= " `dloc_emaild`='".$emaild."', `dloc_emails`='".$emailc."', `dloc_ouvert`='".$ouvert."'";
								$rech2.= "   WHERE `dloc_codeage` = '".$code."'";
							}
						}
						else
						{
							// S'il y a déjà eu des contrats de location émis sur le dépôt agence
							// On ne peut pas passer le mode location en "non"
							if (exist_age_in_coloc($code,FALSE)==FALSE)
							{
								// SUPPRESSION de la fiche dépôt agence
								$rech2 = "DELETE FROM `" .TBDLOC. "` WHERE `dloc_codeage` = '$code'";
							}
							else
							{
								$rech2 = "UPDATE `" .TBDLOC. "` SET `dloc_nom`='".$nom."', `dloc_adr1`='".$adr1."', `dloc_adr2`='".$adr2."',";
								$rech2.= " `dloc_dep`='".$dep."',`dloc_ville`='".$ville."',`dloc_codepays`='".$pays."', `dloc_telf`='".$telf."',";
								$rech2.= " `dloc_fax`='".$fax."', `dloc_resp_civilite`='".$rcivil."', `dloc_resp_prenom`='".$rprenom."',";
								$rech2.= " `dloc_resp_nom`='".$rnom."', `dloc_resp_telf`='".$rtelf."', `dloc_email`='".$email."',";
								$rech2.= " `dloc_emaild`='".$emaild."', `dloc_emails`='".$emailc."', `dloc_ouvert`='".$ouvert."'";
								$rech2.= "   WHERE `dloc_codeage` = '".$code."'";
								$location=TRUE;
							}
						}
						$rs2 = mysql_query($rech2) or die(mysql_error());
					}
			
					// MAJ de la fiche Agence
					$rech = "UPDATE `" .TBAGE. "` SET `age_datemod`='".$datea."', `age_codemod`='".$codeuser."', `age_code`='".$code."',";
					$rech.= " `age_cat`='".$acat."', `age_nom`='".$nom."', `age_rcs`='".$rcs."', `age_ape`='".$ape."', `age_tvai`='".$tvai."',";
					$rech.= " `age_tcom`='".$tcom."', `age_adr1`='".$adr1."',";
					$rech.= " `age_adr2`='".$adr2."', `age_dep`='".$dep."',`age_ville`='".$ville."', `age_codepays`='".$pays."',";
					$rech.= "  `age_telf`='".$telf."', `age_txttelf`='".$txttelf."', `age_fax`='".$fax."', `age_txtfax`='".$txtfax."',";
					$rech.= "  `age_txtent`='".$txtent."', `age_resp_civilite`='".$rcivil."', `age_resp_prenom`='".$rprenom."',";
					$rech.= " `age_resp_nom`='".$rnom."', `age_resp_telf`='".$rtelf."', `age_resp_telp`='".$rtelp."', `age_email`='".$email."', `age_emaild`='".$emaild."',";
					$rech.= " `age_emailc`='".$emailc."', `age_emailt`='".$emailt."', `age_heures`='".$heures."', `age_web`='".$web."',";
					$rech.= " `age_nota`='".$nota."', `age_fact`='".$facture."', `age_ouvert`='".$ouvert."', `age_loc`='".$location."'";
					$rech.= " WHERE `age_code` = '".$code."'";
					$rs = mysql_query($rech) or die(mysql_error());
		
					// Mise à jour du fichier des zones couvertes
					$rech = "DELETE FROM `" .TBZCC. "` WHERE `zcc_code` = '$code'";
					$rs = mysql_query($rech) or die(mysql_error());
					$tab_zone=explode("_",$zone);
					foreach($tab_zone as $idx=>$value)
					{
						$rech = "INSERT INTO " .TBZCC;
						$rech .= " (zcc_code,zcc_codepays,zcc_codedep) VALUES";
						$rech .= " ('$code','$pays','$value')";
						$rs = mysql_query($rech) or die(mysql_error());
					}
		
					if ($ouvert == FALSE)
					{
						// MAJ date de fermeture de l'agence
						$rech = "UPDATE `" .TBAGE. "` SET `age_datec`='".$datea."'";
						$rech.= " WHERE `age_code` = '".$code."'";
						$rs = mysql_query($rech) or die(mysql_error());
						
						// "LIBERATION" des clients rattachés à cette agence
						$rech = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."', `cli_prop`= NULL WHERE `cli_prop` = '".$code."'";
						$rs = mysql_query($rech) or die(mysql_error());
		
						// "LIBERATION" des sites clients rattachés à cette agence
						$rech = "UPDATE `" .TBSCLI. "` SET `scli_datemod`='".$datea."', `scli_codemod`='".$codeuser."', `scli_prop`= '' WHERE `scli_prop` = '".$code."'";
						$rs = mysql_query($rech) or die(mysql_error());
		
						// On rend l'administrateur propriétaire des fichiers de cette agence
						$rech = "UPDATE `" .TBFIC;
						$rech.= "` SET `fic_codecrea`='".$admin_code."'  WHERE `fic_codecrea` = '".$code."'";
						$rs = mysql_query($rech) or die(mysql_error());
		
						// Suppression du mot de passe rattaché à l'agence
						$rech = "DELETE FROM `" .TBPW. "` WHERE `pw_code` = '$code'";
						$rs = mysql_query($rech) or die(mysql_error());
					}
					break;
				case 4 :
					// MAJ de la fiche Agence
					$rech = "UPDATE `" .TBAGE. "` SET `age_datemod`='".$datea."', `age_codemod`='".$codeuser."', `age_telf`='".$telf."', `age_txttelf`='".$txttelf."', `age_fax`='".$fax."', `age_txtfax`='".$txtfax."', `age_txtent`='".$txtent."', `age_resp_civilite`='".$rcivil."', `age_resp_prenom`='".$rprenom."', `age_resp_nom`='".$rnom."', `age_resp_telf`='".$rtelf."', `age_email`='".$email."', `age_emaild`='".$emaild."', `age_emailc`='".$emailc."', `age_emailt`='".$emailt."', `age_heures`='".$heures."', `age_web`='".$web."'  WHERE `age_code` = '".$code."'";
					$rs = mysql_query($rech) or die(mysql_error());
					break;
			}
			
			$msg = $txt_fiche_mod;
			if ($st==TRUE)
			{
				if ($crest==TRUE)
					$msg.="<br />La fiche sous-traitant rattach&eacute;e a &eacute;t&eacute; cr&eacute;&eacute;e.";
				else
					$msg.="<br />La fiche sous-traitant rattach&eacute;e a &eacute;t&eacute; modifi&eacute;e.";
			}

			// mysql_free_result($rs);
			mysql_close($conn);
	
			// Envoi d'email vers le centre de gestion
			envoi_mail("","Modification d'agence","age","mod","xxx","cdg",$code,"","",TRUE);
		}
		break;
		
	// Suppression de la fiche Agence
	case "del" :
		mysql_close($conn);
		$existst = FALSE;
		$existint1 = FALSE;
		$existint2 = FALSE;
		$existcocl = FALSE;
		$existtec = FALSE;
		$existcoloc = FALSE;
		$existpdtloc = FALSE;
	
		// Vérifie si utilisée comme sous-traitant
		if (exist_age_st($code) == TRUE)
		{
			$existst = TRUE;
			$msg = "Cette agence est d&eacute;clar&eacute;e en tant que sous-traitant.<br />Vous ne pouvez donc pas la supprimer (Il faut d'abord supprimer la fiche sous-traitant).";
			$retourliste = FALSE;
		}
		
		// Vérifie si utilisée dans une fiche intervention
		if (exist_age_in_int($code) == TRUE)
		{
			$existint1 = TRUE;
			if ($msg <> "")
				$msg .= "<br /><br />";			
			$msg = "Cette agence est utilis&eacute;e dans une fiche intervention.<br />Vous ne pouvez donc pas la supprimer (Il suffit de la passer en mode 'ferm&eacute;).";
			$retourliste = FALSE;
		}
		
		// Vérifie si utilisé dans une fiche intervention en tant que code de création
		if (exist_in_int_codecrea($code) == TRUE)
		{
			$existeint2 = TRUE;
			if ($msg <> "")
				$msg .= "<br /><br />";			
			$msg = "Cette agence a cr&eacute;&eacute; une intervention.<br />Vous ne pouvez donc pas la supprimer (Il suffit de la passer en mode 'ferm&eacute;').";
			$retourliste = FALSE;
		}
	
		// Vérifie si utilisée dans un contrat non clôt (et signé, donc actif)
		if (exist_age_in_cocl_ouv($code) == TRUE)
		{
			$existcocl = TRUE;
			if ($msg <> "")
				$msg .= "<br /><br />";			
			$msg .= "Il faut d'abord clore (ou transf&eacute;rer) les contrats en cours pour fermer cette agence.";
			$retourliste = FALSE;
		}
	
		// Vérifie si utilisé dans une fiche technicien			
		if (exist_age_in_tec($code) == TRUE)
		{
			$existtec = TRUE;
			if ($msg <> "")
				$msg .= "<br /><br />";
			$msg .= "Cette agence est utilis&eacute;e dans une fiche technicien.<br>Vous ne pouvez donc pas la supprimer (Il suffit de la passer en mode 'ferm&eacute;').";
			$retourliste = FALSE;
		}

		// Vérifie si utilisée dans un contrat de location
		if (exist_age_in_coloc($code,TRUE) == TRUE)
		{
			$existcoloc = TRUE;
			if ($msg <> "")
				$msg .= "<br /><br />";
			$msg.= "Cette agence est utilis&eacute;e dans un contrat de location.<br />Vous ne pouvez donc pas la supprimer (Il suffit de la passer en mode 'ferm&eacute;').";
			$retourliste = FALSE;
		}
		
		// Vérifie si utilisé dans un produit de location louable
		if (exist_dloc_in_pdtloc_louable($nom,TRUE) == TRUE)
		{
			$existpdtloc = TRUE;
			if ($msg <> "")
				$msg .= "<br /><br />";
			$msg.= "Il faut d'abord clore passer les produits du d&eacute;p&ocirc;t principal '(".$nom.") en 'non louable' ou les changer de d&eacute;p&ocirc;t.";
			$retourliste = FALSE;
		}

		if (($existst == FALSE) AND ($existint1 == FALSE) AND ($existeint2 == FALSE) AND ($existcocl == FALSE) AND ($existtec == FALSE) AND ($existcoloc == FALSE) AND ($existpdtloc == FALSE))
		{
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
	
			// "LIBERATION" des clients rattachés
			$rech = "UPDATE `" .TBCLI. "` SET `cli_datemod`='".$datea."', `cli_codemod`='".$codeuser."', `cli_prop`= NULL WHERE `cli_prop` = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());
		
			// "LIBERATION" des sites clients rattachés à cette agence
			$rech = "UPDATE `" .TBSCLI. "` SET `scli_datemod`='".$datea."', `scli_codemod`='".$codeuser."', `scli_prop`= '0' WHERE `scli_prop` = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());

			// SUPPRESSION des contrats non signés rattachés
			$rech = "DELETE FROM `" .TBCOCL. "` WHERE `cocl_codeage` = '$code' AND `cocl_signe` IS NULL";
			$rs = mysql_query($rech) or die(mysql_error());
		
			// SUPPRESSION de la fiche Agence
			$rech = "DELETE FROM `" .TBAGE. "` WHERE `age_code` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
	
			// SUPPRESSION des prix de revient resp Agence
			$rech = "DELETE FROM `" .TBAGEPR. "` WHERE `agepr_codeage` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
	
			// Suppression des zones couvertes
			$rech = "DELETE FROM `" .TBZCC. "` WHERE `zcc_code` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());

			// Suppression du mot de passe rattaché
			$rech = "DELETE FROM `" .TBPW. "` WHERE `pw_code` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
	
			// SUPPRESSION de la fiche dépôt agence
			$rech = "DELETE FROM `" .TBDLOC. "` WHERE `dloc_codeage` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());

			// mysql_free_result($rs);
			mysql_close($conn);
	
			// Suppression du répertoire de stockage spécifique à l'agence
			if (is_dir($url_gfc."/agences/".strtolower($code)))
			{
				$rep_age = $url_gfc."/agences/".strtolower($code);
				$dir = new dirtool($rep_age);
				$dir->delete();
	
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
	
				$rech = "DELETE FROM `" .TBFIC. "` WHERE `fic_nom` LIKE '%$rep_age%'";
				$rs = mysql_query($rech) or die(mysql_error());
	
				mysql_close($conn);
	
				$msg = $txt_fiche_del;
				if ($st==TRUE)
					$msg.="<br />La fiche sous-traitant rattach&eacute;e n'a pas &eacute;t&eacute; modifi&eacute;e";
			}
			else
			{
				if ($msg <> "")
					$msg .= "<br><br>";			
				$msg.= "Suppression fiche effectu&eacute;e.<br>Le répertoire personnel de cette agence n'existe pas !";
				$retourliste = FALSE;
			}

			// Suppression des logos spécifiques à l'agence
			$nomfic = $root.REP."/logos/log".strtolower($code);
			if (is_file($nomfic.".png"))
			{
				if (!unlink($nomfic.".png"))
				{
					if ($msg <> "")
						$msg .= "<br><br>";			
					$msg.= "Probl&egrave;me de suppression du logo png";
					$retourliste = FALSE;
				}
			}
			if (is_file($nomfic.".gif"))
			{
				if (!unlink($nomfic.".gif"))
				{
					if ($msg <> "")
						$msg .= "<br><br>";			
					$msg.= "Probl&egrave;me de suppression du logo gif";
					$retourliste = FALSE;
				}
			}
		}
		break;
		
	default :
		break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche Agence</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>

<?php 
include_once("../inc/entete.inc.php"); 
?>


<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>
<?PHP
if (@$_SESSION["niv_log"] >= 5)
{
	if ($retourliste == FALSE) 
		aff_ret_idx_man($td,"age_lst.php",$txt_lnk_ret_liste,TRUE);
	else
	{
		$url_retour="age_lst.php";
		if ($td == "add") 
		{ 
			$url_retour="logo_maj.php?td=age";
			echo '<p align="center" class="annot_gras_it">Merci de t&eacute;l&eacute;charger le logo de l\'agence</p>';
		} 
		aff_ret_lst_auto("age_lst.php",2000);
	}
}
if (@$_SESSION["niv_log"] == 4)
	aff_ret_idx_auto("index.php",2000);
include_once("pied.php");
?>
